The files have the following functionality:

- tokenizer.py: it will ask for the path to an Angular project folder, and minify its relevant files into a single .txt file in the 'input' folder
- 00-dictionary-evaluation.ipynb: the Python notebook used for the variable name dictionary evaluation with GPT-3.5 and GPT-4
- 01-confidentialty.ipynb: the Python notebook used for detecting the sensitive data from the project .txt files in the input folder
- 02-03-security.ipynb: the Python notebook used for creating the jsons and detecting the protection levels from the files in the input folder
- promptmaker.py: contains the large prompts for the 02-03-security.ipynb requests
- sheetCreator-*.py: creates the various Excel files that can be used for easier evaluations of the results (sheetCreator-alerts.py should only runned after the others, as the last step)

Requirements for the project:
- Python 3.10+
- Angular projects
- openai, tiktoken, pandas, nltk, pathlib Python packages